#include <bits/stdc++.h>
#define MOD 1000000007
using namespace std;



int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    vector<long long> poj[26];
    vector<long long>dp [26];
    int n;
    cin>>n;
    string s;
    cin>>s;
    for(int i=0;i<n;i++){
        poj[s[i]-'A'].push_back(i);
        if(s[i]=='A')
        dp[0].push_back(1);
    }
    for(int i=1;i<26;i++){
        long long sum=0,ssum=0;
        int t=0;
        for(int j=0;j<poj[i].size();j++){
            while(t<poj[i-1].size() && poj[i-1][t]<poj[i][j]){
                sum+=dp[i-1][t];
                sum%=MOD;
                t++;
            }
            dp[i].push_back(sum);
            ssum+=sum;
            ssum%=MOD;
        }
        if(i==25)cout<<ssum<<endl;
    }

return 0;
}